<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZExpansion: DayzExpansion/BaseBuilding/Scripts/4_world/dayzexpansion_basebuilding/classes/useractionscomponent/actions/singleuse/expansionactioninstallcircuitboard.c Source File</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZExpansion<span id="projectnumber">&#160;1.7.17</span>
   </div>
   <div id="projectbrief">DayZExpansion Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d2/d04/a00281_source.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="headertitle"><div class="title">expansionactioninstallcircuitboard.c</div></div>
</div><!--header-->
<div class="contents">
<a href="../../d2/d04/a00281.html">Go to the documentation of this file.</a><div class="fragment"><div class="line"><a id="l00001" name="l00001"></a><span class="lineno">    1</span><span class="comment">/**</span></div>
<div class="line"><a id="l00002" name="l00002"></a><span class="lineno">    2</span><span class="comment"> * ExpansionActionInstallCircuitBoard.c</span></div>
<div class="line"><a id="l00003" name="l00003"></a><span class="lineno">    3</span><span class="comment"> *</span></div>
<div class="line"><a id="l00004" name="l00004"></a><span class="lineno">    4</span><span class="comment"> * DayZ Expansion Mod</span></div>
<div class="line"><a id="l00005" name="l00005"></a><span class="lineno">    5</span><span class="comment"> * www.dayzexpansion.com</span></div>
<div class="line"><a id="l00006" name="l00006"></a><span class="lineno">    6</span><span class="comment"> * © 2022 DayZ Expansion Mod Team</span></div>
<div class="line"><a id="l00007" name="l00007"></a><span class="lineno">    7</span><span class="comment"> *</span></div>
<div class="line"><a id="l00008" name="l00008"></a><span class="lineno">    8</span><span class="comment"> * This work is licensed under the Creative Commons Attribution-NonCommercial-NoDerivatives 4.0 International License.</span></div>
<div class="line"><a id="l00009" name="l00009"></a><span class="lineno">    9</span><span class="comment"> * To view a copy of this license, visit http://creativecommons.org/licenses/by-nc-nd/4.0/.</span></div>
<div class="line"><a id="l00010" name="l00010"></a><span class="lineno">   10</span><span class="comment"> *</span></div>
<div class="line"><a id="l00011" name="l00011"></a><span class="lineno">   11</span><span class="comment">*/</span></div>
<div class="line"><a id="l00012" name="l00012"></a><span class="lineno">   12</span> </div>
<div class="line"><a id="l00013" name="l00013"></a><span class="lineno"><a class="line" href="../../d1/da4/a03766.html">   13</a></span><span class="keyword">class </span><a class="code hl_class" href="../../d1/da4/a03766.html">ExpansionActionInstallCircuitBoard</a>: <a class="code hl_class" href="../../d0/d9f/a07902.html">ActionSingleUseBase</a></div>
<div class="line"><a id="l00014" name="l00014"></a><span class="lineno">   14</span>{</div>
<div class="line"><a id="l00015" name="l00015"></a><span class="lineno"><a class="line" href="../../d1/da4/a03766.html#a8f0fdd570a808b8c0063476bbb240140">   15</a></span>    <span class="keyword">protected</span> <span class="keywordtype">int</span> <a class="code hl_variable" href="../../d1/da4/a03766.html#a8f0fdd570a808b8c0063476bbb240140">m_Expansion_CircuitBoardSlotId</a>;</div>
<div class="line"><a id="l00016" name="l00016"></a><span class="lineno">   16</span> </div>
<div class="line"><a id="l00017" name="l00017"></a><span class="lineno"><a class="line" href="../../d1/da4/a03766.html#ac3ed1abb3271b4c73b7e0de75d593c3c">   17</a></span>    <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/da4/a03766.html#ac3ed1abb3271b4c73b7e0de75d593c3c">ExpansionActionInstallCircuitBoard</a>()</div>
<div class="line"><a id="l00018" name="l00018"></a><span class="lineno">   18</span>    {</div>
<div class="line"><a id="l00019" name="l00019"></a><span class="lineno">   19</span>        m_StanceMask = DayZPlayerConstants.STANCEMASK_CROUCH | DayZPlayerConstants.STANCEMASK_ERECT;</div>
<div class="line"><a id="l00020" name="l00020"></a><span class="lineno">   20</span>        m_CommandUID = DayZPlayerConstants.CMD_ACTIONMOD_ATTACHITEM;</div>
<div class="line"><a id="l00021" name="l00021"></a><span class="lineno">   21</span>        <a class="code hl_variable" href="../../d1/da4/a03766.html#a8f0fdd570a808b8c0063476bbb240140">m_Expansion_CircuitBoardSlotId</a> = InventorySlots.GetSlotIdFromString(<span class="stringliteral">&quot;Att_ExpansionCircuitBoard&quot;</span>);</div>
<div class="line"><a id="l00022" name="l00022"></a><span class="lineno">   22</span>    }</div>
<div class="line"><a id="l00023" name="l00023"></a><span class="lineno">   23</span> </div>
<div class="line"><a id="l00024" name="l00024"></a><span class="lineno"><a class="line" href="../../d1/da4/a03766.html#ad1d9fc6ed079ec44bc22b3503eb5b2c0">   24</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/da4/a03766.html#ad1d9fc6ed079ec44bc22b3503eb5b2c0">CreateConditionComponents</a>() </div>
<div class="line"><a id="l00025" name="l00025"></a><span class="lineno">   25</span>    {</div>
<div class="line"><a id="l00026" name="l00026"></a><span class="lineno">   26</span>        m_ConditionItem = <span class="keyword">new</span> CCINonRuined;</div>
<div class="line"><a id="l00027" name="l00027"></a><span class="lineno">   27</span>        m_ConditionTarget = <span class="keyword">new</span> CCTNonRuined( UAMaxDistances.DEFAULT );</div>
<div class="line"><a id="l00028" name="l00028"></a><span class="lineno">   28</span>    }</div>
<div class="line"><a id="l00029" name="l00029"></a><span class="lineno">   29</span> </div>
<div class="line"><a id="l00030" name="l00030"></a><span class="lineno"><a class="line" href="../../d1/da4/a03766.html#a78bf9e80cc1358b0f38608cd66e3ab28">   30</a></span>    <span class="keyword">override</span> <span class="keywordtype">bool</span> <a class="code hl_function" href="../../d1/da4/a03766.html#a78bf9e80cc1358b0f38608cd66e3ab28">ActionCondition</a>(<a class="code hl_class" href="../../df/de5/a03966.html">PlayerBase</a> player, <a class="code hl_class" href="../../d1/de3/a04854.html">ActionTarget</a> target, <a class="code hl_class" href="../../d7/d82/a03774.html">ItemBase</a> item)</div>
<div class="line"><a id="l00031" name="l00031"></a><span class="lineno">   31</span>    {</div>
<div class="line"><a id="l00032" name="l00032"></a><span class="lineno">   32</span>        EntityAI targetEntity;</div>
<div class="line"><a id="l00033" name="l00033"></a><span class="lineno">   33</span>        <span class="keywordflow">if</span> (!Class.CastTo(targetEntity, target.<a class="code hl_function" href="../../d1/de3/a04854.html#a1c5162ed30e842ad5b561579a40e7507">GetParentOrObject</a>()))</div>
<div class="line"><a id="l00034" name="l00034"></a><span class="lineno">   34</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00035" name="l00035"></a><span class="lineno">   35</span><span class="comment"></span> </div>
<div class="line"><a id="l00036" name="l00036"></a><span class="lineno">   36</span><span class="comment">        //! Get board from player hands.</span></div>
<div class="line"><a id="l00037" name="l00037"></a><span class="lineno">   37</span><span class="comment"></span>        <span class="keyword">auto</span> boardInHands = <a class="code hl_class" href="../../dd/d94/a03882.html">ExpansionCircuitBoardBase</a>.Cast(item);</div>
<div class="line"><a id="l00038" name="l00038"></a><span class="lineno">   38</span>        <span class="keywordflow">if</span> (!boardInHands)</div>
<div class="line"><a id="l00039" name="l00039"></a><span class="lineno">   39</span>            <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00040" name="l00040"></a><span class="lineno">   40</span>        <span class="comment"></span></div>
<div class="line"><a id="l00041" name="l00041"></a><span class="lineno">   41</span><span class="comment">        //! Check if target object has required attachment slot or slot is not free.</span></div>
<div class="line"><a id="l00042" name="l00042"></a><span class="lineno">   42</span><span class="comment">        //! If this check fails that means the object cant be attached because the slot is already blocked by an other attachment or the object does not have a slot for the item.</span></div>
<div class="line"><a id="l00043" name="l00043"></a><span class="lineno">   43</span><span class="comment"></span>        <span class="keywordflow">if</span> (targetEntity.GetInventory() &amp;&amp; !targetEntity.GetInventory().CanAddAttachment(item))</div>
<div class="line"><a id="l00044" name="l00044"></a><span class="lineno">   44</span>        {</div>
<div class="line"><a id="l00045" name="l00045"></a><span class="lineno">   45</span>            <span class="keyword">auto</span> attachedBoard = <a class="code hl_class" href="../../dd/d94/a03882.html">ExpansionCircuitBoardBase</a>.Cast(targetEntity.GetInventory().FindAttachment(<a class="code hl_variable" href="../../d1/da4/a03766.html#a8f0fdd570a808b8c0063476bbb240140">m_Expansion_CircuitBoardSlotId</a>));</div>
<div class="line"><a id="l00046" name="l00046"></a><span class="lineno">   46</span>            <span class="keywordflow">if</span> (attachedBoard)</div>
<div class="line"><a id="l00047" name="l00047"></a><span class="lineno">   47</span>            {<span class="comment"></span></div>
<div class="line"><a id="l00048" name="l00048"></a><span class="lineno">   48</span><span class="comment">                //! If there is already a board attached only allow action if the tier of the board in the players hands is higher then the attached one.</span></div>
<div class="line"><a id="l00049" name="l00049"></a><span class="lineno">   49</span><span class="comment"></span>                <span class="keywordflow">if</span> (boardInHands.GetTier() &lt;= attachedBoard.GetTier())</div>
<div class="line"><a id="l00050" name="l00050"></a><span class="lineno">   50</span>                    <span class="keywordflow">return</span> <span class="keyword">false</span>;</div>
<div class="line"><a id="l00051" name="l00051"></a><span class="lineno">   51</span>            }</div>
<div class="line"><a id="l00052" name="l00052"></a><span class="lineno">   52</span>        }</div>
<div class="line"><a id="l00053" name="l00053"></a><span class="lineno">   53</span>        </div>
<div class="line"><a id="l00054" name="l00054"></a><span class="lineno">   54</span>        <span class="keywordflow">if</span> (!GetGame().IsDedicatedServer())</div>
<div class="line"><a id="l00055" name="l00055"></a><span class="lineno">   55</span>        {<span class="comment"></span></div>
<div class="line"><a id="l00056" name="l00056"></a><span class="lineno">   56</span><span class="comment">            //! TODO: Localization</span></div>
<div class="line"><a id="l00057" name="l00057"></a><span class="lineno">   57</span><span class="comment"></span>            <a class="code hl_variable" href="../../df/df7/a00731.html#a0c7e8a2d151c2e6caa53bbfd4af52de2">m_Text</a> = <span class="stringliteral">&quot;Install Upgrade - Tier &quot;</span> + boardInHands.GetTier().ToString();</div>
<div class="line"><a id="l00058" name="l00058"></a><span class="lineno">   58</span>        }</div>
<div class="line"><a id="l00059" name="l00059"></a><span class="lineno">   59</span> </div>
<div class="line"><a id="l00060" name="l00060"></a><span class="lineno">   60</span>        <span class="keywordflow">return</span> <span class="keyword">true</span>;</div>
<div class="line"><a id="l00061" name="l00061"></a><span class="lineno">   61</span>    }</div>
<div class="line"><a id="l00062" name="l00062"></a><span class="lineno">   62</span>    </div>
<div class="line"><a id="l00063" name="l00063"></a><span class="lineno"><a class="line" href="../../d1/da4/a03766.html#ab3ba6eca23ad4bcfe80d393950248782">   63</a></span>    <span class="keyword">protected</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/da4/a03766.html#ab3ba6eca23ad4bcfe80d393950248782">OnExecuteImpl</a>(ActionData action_data)</div>
<div class="line"><a id="l00064" name="l00064"></a><span class="lineno">   64</span>    {</div>
<div class="line"><a id="l00065" name="l00065"></a><span class="lineno">   65</span>        EntityAI targetEntity = EntityAI.Cast(action_data.m_Target.GetObject());</div>
<div class="line"><a id="l00066" name="l00066"></a><span class="lineno">   66</span> </div>
<div class="line"><a id="l00067" name="l00067"></a><span class="lineno">   67</span>        <span class="keywordflow">if</span> (targetEntity &amp;&amp; action_data.m_MainItem)</div>
<div class="line"><a id="l00068" name="l00068"></a><span class="lineno">   68</span>        {</div>
<div class="line"><a id="l00069" name="l00069"></a><span class="lineno">   69</span>            <span class="keywordtype">string</span> attachedType;</div>
<div class="line"><a id="l00070" name="l00070"></a><span class="lineno">   70</span>            <span class="keywordtype">float</span> boardHealth;</div>
<div class="line"><a id="l00071" name="l00071"></a><span class="lineno">   71</span>            EntityAI attachedBoard = targetEntity.GetInventory().FindAttachment(<a class="code hl_variable" href="../../d1/da4/a03766.html#a8f0fdd570a808b8c0063476bbb240140">m_Expansion_CircuitBoardSlotId</a>);</div>
<div class="line"><a id="l00072" name="l00072"></a><span class="lineno">   72</span>            <span class="keywordflow">if</span> (attachedBoard)</div>
<div class="line"><a id="l00073" name="l00073"></a><span class="lineno">   73</span>            {</div>
<div class="line"><a id="l00074" name="l00074"></a><span class="lineno">   74</span>                attachedType = attachedBoard.GetType();</div>
<div class="line"><a id="l00075" name="l00075"></a><span class="lineno">   75</span>                boardHealth = attachedBoard.GetHealth();</div>
<div class="line"><a id="l00076" name="l00076"></a><span class="lineno">   76</span>                targetEntity.GetInventory().SetSlotLock(<a class="code hl_variable" href="../../d1/da4/a03766.html#a8f0fdd570a808b8c0063476bbb240140">m_Expansion_CircuitBoardSlotId</a>, <span class="keyword">false</span>);<span class="comment"></span></div>
<div class="line"><a id="l00077" name="l00077"></a><span class="lineno">   77</span><span class="comment">                //! Delete the attached board.</span></div>
<div class="line"><a id="l00078" name="l00078"></a><span class="lineno">   78</span><span class="comment"></span>                GetGame().ObjectDelete(attachedBoard);</div>
<div class="line"><a id="l00079" name="l00079"></a><span class="lineno">   79</span>            }</div>
<div class="line"><a id="l00080" name="l00080"></a><span class="lineno">   80</span><span class="comment"></span> </div>
<div class="line"><a id="l00081" name="l00081"></a><span class="lineno">   81</span><span class="comment">            //! Attach the new board to the target object.</span></div>
<div class="line"><a id="l00082" name="l00082"></a><span class="lineno">   82</span><span class="comment"></span>            attachedBoard = targetEntity.GetInventory().CreateInInventory(action_data.m_MainItem.GetType());</div>
<div class="line"><a id="l00083" name="l00083"></a><span class="lineno">   83</span>            <span class="keywordflow">if</span> (attachedBoard)</div>
<div class="line"><a id="l00084" name="l00084"></a><span class="lineno">   84</span>            {</div>
<div class="line"><a id="l00085" name="l00085"></a><span class="lineno">   85</span>                attachedBoard.SetHealth(action_data.m_MainItem.GetHealth());</div>
<div class="line"><a id="l00086" name="l00086"></a><span class="lineno">   86</span>                targetEntity.GetInventory().SetSlotLock(<a class="code hl_variable" href="../../d1/da4/a03766.html#a8f0fdd570a808b8c0063476bbb240140">m_Expansion_CircuitBoardSlotId</a>, <span class="keyword">true</span>);<span class="comment"></span></div>
<div class="line"><a id="l00087" name="l00087"></a><span class="lineno">   87</span><span class="comment">                //! Delete the board in the players hands on board installation.</span></div>
<div class="line"><a id="l00088" name="l00088"></a><span class="lineno">   88</span><span class="comment"></span>                GetGame().ObjectDelete(action_data.m_MainItem);</div>
<div class="line"><a id="l00089" name="l00089"></a><span class="lineno">   89</span>            }</div>
<div class="line"><a id="l00090" name="l00090"></a><span class="lineno">   90</span> </div>
<div class="line"><a id="l00091" name="l00091"></a><span class="lineno">   91</span>            <span class="keywordflow">if</span> (attachedType)</div>
<div class="line"><a id="l00092" name="l00092"></a><span class="lineno">   92</span>            {<span class="comment"></span></div>
<div class="line"><a id="l00093" name="l00093"></a><span class="lineno">   93</span><span class="comment">                //! Recreate the attached board in the players hands.</span></div>
<div class="line"><a id="l00094" name="l00094"></a><span class="lineno">   94</span><span class="comment"></span>                EntityAI boardInHands = action_data.m_Player.GetHumanInventory().CreateInHands(attachedType);</div>
<div class="line"><a id="l00095" name="l00095"></a><span class="lineno">   95</span>                <span class="keywordflow">if</span> (boardInHands)</div>
<div class="line"><a id="l00096" name="l00096"></a><span class="lineno">   96</span>                    boardInHands.SetHealth(boardHealth);</div>
<div class="line"><a id="l00097" name="l00097"></a><span class="lineno">   97</span>            }</div>
<div class="line"><a id="l00098" name="l00098"></a><span class="lineno">   98</span>        }</div>
<div class="line"><a id="l00099" name="l00099"></a><span class="lineno">   99</span>    }</div>
<div class="line"><a id="l00100" name="l00100"></a><span class="lineno">  100</span> </div>
<div class="line"><a id="l00101" name="l00101"></a><span class="lineno"><a class="line" href="../../d1/da4/a03766.html#a8fc8e5167c124c2ce2b077967fb2b9b1">  101</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/da4/a03766.html#a8fc8e5167c124c2ce2b077967fb2b9b1">OnExecuteServer</a>(ActionData action_data)</div>
<div class="line"><a id="l00102" name="l00102"></a><span class="lineno">  102</span>    {</div>
<div class="line"><a id="l00103" name="l00103"></a><span class="lineno">  103</span>        <span class="keywordflow">if</span> (GetGame().IsMultiplayer())</div>
<div class="line"><a id="l00104" name="l00104"></a><span class="lineno">  104</span>            <a class="code hl_function" href="../../d1/da4/a03766.html#ab3ba6eca23ad4bcfe80d393950248782">OnExecuteImpl</a>(action_data);</div>
<div class="line"><a id="l00105" name="l00105"></a><span class="lineno">  105</span>    }</div>
<div class="line"><a id="l00106" name="l00106"></a><span class="lineno">  106</span>        </div>
<div class="line"><a id="l00107" name="l00107"></a><span class="lineno"><a class="line" href="../../d1/da4/a03766.html#a6484e106e5fe40d0fefca6ec10486a6a">  107</a></span>    <span class="keyword">override</span> <span class="keywordtype">void</span> <a class="code hl_function" href="../../d1/da4/a03766.html#a6484e106e5fe40d0fefca6ec10486a6a">OnExecuteClient</a>(ActionData action_data)</div>
<div class="line"><a id="l00108" name="l00108"></a><span class="lineno">  108</span>    {</div>
<div class="line"><a id="l00109" name="l00109"></a><span class="lineno">  109</span>        <span class="keywordflow">if</span> (!GetGame().IsMultiplayer())</div>
<div class="line"><a id="l00110" name="l00110"></a><span class="lineno">  110</span>            <a class="code hl_function" href="../../d1/da4/a03766.html#ab3ba6eca23ad4bcfe80d393950248782">OnExecuteImpl</a>(action_data);</div>
<div class="line"><a id="l00111" name="l00111"></a><span class="lineno">  111</span>    }</div>
<div class="line"><a id="l00112" name="l00112"></a><span class="lineno">  112</span>};</div>
<div class="ttc" id="aa00731_html_a0c7e8a2d151c2e6caa53bbfd4af52de2"><div class="ttname"><a href="../../df/df7/a00731.html#a0c7e8a2d151c2e6caa53bbfd4af52de2">m_Text</a></div><div class="ttdeci">protected T m_Text</div><div class="ttdef"><b>Definition:</b> <a href="../../df/df7/a00731_source.html#l00134">expansionnotificationsystem.c:134</a></div></div>
<div class="ttc" id="aa03766_html"><div class="ttname"><a href="../../d1/da4/a03766.html">ExpansionActionInstallCircuitBoard</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d04/a00281_source.html#l00013">expansionactioninstallcircuitboard.c:14</a></div></div>
<div class="ttc" id="aa03766_html_a6484e106e5fe40d0fefca6ec10486a6a"><div class="ttname"><a href="../../d1/da4/a03766.html#a6484e106e5fe40d0fefca6ec10486a6a">ExpansionActionInstallCircuitBoard::OnExecuteClient</a></div><div class="ttdeci">override void OnExecuteClient(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d04/a00281_source.html#l00107">expansionactioninstallcircuitboard.c:107</a></div></div>
<div class="ttc" id="aa03766_html_a78bf9e80cc1358b0f38608cd66e3ab28"><div class="ttname"><a href="../../d1/da4/a03766.html#a78bf9e80cc1358b0f38608cd66e3ab28">ExpansionActionInstallCircuitBoard::ActionCondition</a></div><div class="ttdeci">override bool ActionCondition(PlayerBase player, ActionTarget target, ItemBase item)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d04/a00281_source.html#l00030">expansionactioninstallcircuitboard.c:30</a></div></div>
<div class="ttc" id="aa03766_html_a8f0fdd570a808b8c0063476bbb240140"><div class="ttname"><a href="../../d1/da4/a03766.html#a8f0fdd570a808b8c0063476bbb240140">ExpansionActionInstallCircuitBoard::m_Expansion_CircuitBoardSlotId</a></div><div class="ttdeci">protected int m_Expansion_CircuitBoardSlotId</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d04/a00281_source.html#l00015">expansionactioninstallcircuitboard.c:15</a></div></div>
<div class="ttc" id="aa03766_html_a8fc8e5167c124c2ce2b077967fb2b9b1"><div class="ttname"><a href="../../d1/da4/a03766.html#a8fc8e5167c124c2ce2b077967fb2b9b1">ExpansionActionInstallCircuitBoard::OnExecuteServer</a></div><div class="ttdeci">override void OnExecuteServer(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d04/a00281_source.html#l00101">expansionactioninstallcircuitboard.c:101</a></div></div>
<div class="ttc" id="aa03766_html_ab3ba6eca23ad4bcfe80d393950248782"><div class="ttname"><a href="../../d1/da4/a03766.html#ab3ba6eca23ad4bcfe80d393950248782">ExpansionActionInstallCircuitBoard::OnExecuteImpl</a></div><div class="ttdeci">protected void OnExecuteImpl(ActionData action_data)</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d04/a00281_source.html#l00063">expansionactioninstallcircuitboard.c:63</a></div></div>
<div class="ttc" id="aa03766_html_ac3ed1abb3271b4c73b7e0de75d593c3c"><div class="ttname"><a href="../../d1/da4/a03766.html#ac3ed1abb3271b4c73b7e0de75d593c3c">ExpansionActionInstallCircuitBoard::ExpansionActionInstallCircuitBoard</a></div><div class="ttdeci">void ExpansionActionInstallCircuitBoard()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d04/a00281_source.html#l00017">expansionactioninstallcircuitboard.c:17</a></div></div>
<div class="ttc" id="aa03766_html_ad1d9fc6ed079ec44bc22b3503eb5b2c0"><div class="ttname"><a href="../../d1/da4/a03766.html#ad1d9fc6ed079ec44bc22b3503eb5b2c0">ExpansionActionInstallCircuitBoard::CreateConditionComponents</a></div><div class="ttdeci">override void CreateConditionComponents()</div><div class="ttdef"><b>Definition:</b> <a href="../../d2/d04/a00281_source.html#l00024">expansionactioninstallcircuitboard.c:24</a></div></div>
<div class="ttc" id="aa03774_html"><div class="ttname"><a href="../../d7/d82/a03774.html">ItemBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d7f/a00287_source.html#l00001">expansionbaselights.c:2</a></div></div>
<div class="ttc" id="aa03882_html"><div class="ttname"><a href="../../dd/d94/a03882.html">ExpansionCircuitBoardBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../da/dee/a00383_source.html#l00314">expansionparkingmeter.c:315</a></div></div>
<div class="ttc" id="aa03966_html"><div class="ttname"><a href="../../df/de5/a03966.html">PlayerBase</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d6/d29/a08947_source.html#l00013">playerbase.c:14</a></div></div>
<div class="ttc" id="aa04854_html"><div class="ttname"><a href="../../d1/de3/a04854.html">ActionTarget</a></div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00016">actiontargets.c:17</a></div></div>
<div class="ttc" id="aa04854_html_a1c5162ed30e842ad5b561579a40e7507"><div class="ttname"><a href="../../d1/de3/a04854.html#a1c5162ed30e842ad5b561579a40e7507">ActionTarget::GetParentOrObject</a></div><div class="ttdeci">Object GetParentOrObject()</div><div class="ttdef"><b>Definition:</b> <a href="../../d1/d35/a01184_source.html#l00021">actiontargets.c:21</a></div></div>
<div class="ttc" id="aa07902_html"><div class="ttname"><a href="../../d0/d9f/a07902.html">ActionSingleUseBase</a></div><div class="ttdoc">Todo, once this is working try to make it work like weapon flashlights so it isnt needed to remove it...</div><div class="ttdef"><b>Definition:</b> <a href="../../d4/d00/a03323_source.html#l00014">expansionactioncycleopticsmodeinhands.c:15</a></div></div>
</div><!-- fragment --></div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../dir_6127fff2da0a20e2dc2cd9302c584350.html">DayzExpansion</a></li><li class="navelem"><a class="el" href="../../dir_e66306a3976d6d81f5e1305840c1314d.html">BaseBuilding</a></li><li class="navelem"><a class="el" href="../../dir_92106a510097343a3fe1c14124c59151.html">Scripts</a></li><li class="navelem"><a class="el" href="../../dir_844bf89108e22cf51aae4b5452c2c906.html">4_world</a></li><li class="navelem"><a class="el" href="../../dir_a0e24776517e17f620f1adfb86971bb4.html">dayzexpansion_basebuilding</a></li><li class="navelem"><a class="el" href="../../dir_7c54c617c523e91968b06f6c4d40561c.html">classes</a></li><li class="navelem"><a class="el" href="../../dir_c81cc1ad0bcb4f6919dc1b9d5f9d5d05.html">useractionscomponent</a></li><li class="navelem"><a class="el" href="../../dir_60d28b9c29e7916a419493eda4bdadab.html">actions</a></li><li class="navelem"><a class="el" href="../../dir_a90b8d13ca93bab3a7d19338b73e79b3.html">singleuse</a></li><li class="navelem"><a class="el" href="../../d2/d04/a00281.html">expansionactioninstallcircuitboard.c</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
